// Library Bar
// compiles to shared object libBar.so
// Implementation file for class Bar

#include <string.h>
#include <assert.h>
#include <stdio.h>

#include "Bar.h"

#include "helper.h"

Bar::Bar(char const *init_name) {
	memset(brand, 0, BRAND_MAX);

	memset(name, 0, NAME_MAX);
	assert(stringFits(init_name, NAME_MAX));
	strcpy(name, init_name);
}

void Bar::assumeSpamNameAsBrand(Spam const * const spam) {
	assert(stringFits(spam->name, BRAND_MAX));
	strcpy(brand, spam->name);
}

void Bar::emitBrand() {
	printf("Bar %.*s has brand:\n  %.*s\n", 
		min(strlen(name), NAME_MAX), name,
		min(strlen(brand), BRAND_MAX), brand);
}
