// Library Foo
// compiles to shared object libFoo.so
// Implementation file for class Foo

#include <string.h>
#include <assert.h>
#include <stdio.h>

#include "Foo.h"

#include "helper.h"

Foo::Foo(char const *init_name, char const *init_eggs) {
	memset(name, 0, NAME_MAX);
	assert(stringFits(init_name, NAME_MAX));
	strcpy(name, init_name);

	memset(eggs, 0, EGGS_MAX);
	assert(stringFits(init_eggs, EGGS_MAX));
	strcpy(eggs, init_eggs);
}

void Foo::emitEggs() {
	printf("Foo %.*s has eggs '%.*s'\n", 
		min(strlen(name), NAME_MAX), name,
		min(strlen(eggs), EGGS_MAX), eggs);
}
